Method: projects.locations.connections.gitRepositoryLinks.openPullRequest

在与 GitRepositoryLink 关联的远程 SCM 代码库中打开拉取请求。

HTTP 请求

POST https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:openPullRequest

网址采用 gRPC 转码语法。

路径参数

参数
name

string

必需。GitRepositoryLink 资源的名称,格式为 projects/*/locations/*/connections/*/gitRepositoryLinks/*。

请求正文

请求正文中包含结构如下的数据:

JSON 表示法
{
  "pullRequest": {
    object (PullRequest)
  }
}
字段
pullRequest

object (PullRequest)

必需。要打开的拉取请求详情。使用的输入字段:title、body、headRef、baseRef。

响应正文

如果成功,则响应正文包含一个 PullRequest 实例。

授权范围

需要以下 OAuth 范围:

  • https://www.googleapis.com/auth/cloud-platform

如需了解详情,请参阅 Authentication Overview。

IAM 权限

需要拥有 name 资源的以下 IAM 权限:

  • developerconnect.gitRepositoryLinks.openPullRequest

如需了解详情,请参阅 IAM 文档。